Subject: [Sipping] Regarding supported: timer header in response.

From: [email-masked]
Date: Thu, 22 Nov 2007 15:47:32 +0530

Hi,
  I have query regarding supported: timer in the Sip Message.

A UAS have received an INVITE with supported: timer and require: timer and 
the UAS wishes to send 200 OK.
Is it MUST to insert the supported: timer in 200 OK.? What is the case for 
422 response.??

From the following content of RFC 3261 it is understood that it is MUST 
for Request not for Response if it wishes to support the Session-Timer.
If the Request is received with these headers and UAS process them with 
out rejecting with 421, then it is understood that it supports and 
hence not needed in response.

8.1.1.9 Supported and Require

   If the UAC supports extensions to SIP that can be applied by the
   server to the response, the UAC SHOULD include a Supported header
   field in the request listing the option tags (Section 19.2) for those
   extensions.

   If the UAC wishes to insist that a UAS understand an extension that
   the UAC will apply to the request in order to process the request, it
   MUST insert a Require header field into the request listing the
   option tag for that extension.  If the UAC wishes to apply an
   extension to the request and insist that any proxies that are

Please let me know if my analysis is correct.

Thanks and Regards,
 Preethi..

***********************  Aricent-Restricted   ***********************
"DISCLAIMER: This message is proprietary to Aricent and is intended solely for the use of 
the individual to whom it is addressed. It may contain privileged or confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If you have received this message in error, 
please notify the originator immediately. If you are not the intended recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this email including damage from virus."
_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "Serhad Doken (serhad)" <[email-masked]>
Date: Thu, 22 Nov 2007 17:04:05 -0500

If the UAS supports the extension (timer in your case), it must include
the supported header within the 200 OK response. 421 would apply if the
Request did not include Supported:x whereas the UAS really needed the x
extension to process the request. UAS would list extension X in the
Require header of the 421.
 
Serhad

________________________________

From: [email-masked]
[mailto:[email-masked]] 
Sent: Thursday, November 22, 2007 5:18 AM
To: [email-masked]
Subject: [Sipping] Regarding supported: timer header in response.

Hi, 

A UAS have received an INVITE with supported: timer and require: timer
and the UAS wishes to send 200 OK. 
Is it MUST to insert the supported: timer in 200 OK.? What is the case
for 422 response.?? 

Thanks and Regards,
Preethi..

***********************  Aricent-Restricted   *********************** 
"DISCLAIMER: This message is proprietary to Aricent and is intended
solely for the use of 
the individual to whom it is addressed. It may contain privileged or
confidential information and should not be 
circulated or used for any purpose other than for what it is intended.
If you have received this message in error, 
please notify the originator immediately. If you are not the intended
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of
this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by
this email including damage from virus."

---

From: [email-masked]
Date: Tue, 27 Nov 2007 11:01:12 +0530

Hi,
  Thanks for the Reply. Please confirm the below points.

So you mean to say UAC should mandate the supported: timer in 200OK 
response,
when Session-expires and supported: timer is sent in the Request and 
it should drop the 200OK response received if it doesn't 
have the supported: timer header. 

What about the 422 response I feel supported: timer is not mandatory, is 
that correct??

Thanks and Regards,
 Preethi..
------------------------------------------------------------------------------
Preethi Sadasivan,
Software Engineer,
ARICENT ,
Bangalore.
tel: +91-80-41069118
------------------------------------------------------------------------------

"Serhad Doken (serhad)" <[email-masked]> 
11/23/2007 03:34 AM

To
Preethi Sadasivan/BLR/HSS@HSS, <[email-masked]>
cc

Subject
RE: [Sipping] Regarding supported: timer header in response.

Serhad

From: [email-masked] [mailto:[email-masked]] 

Hi, 

Thanks and Regards,
Preethi..

***********************  Aricent-Restricted   *********************** 
"DISCLAIMER: This message is proprietary to Aricent and is intended solely 
for the use of 
the individual to whom it is addressed. It may contain privileged or 
confidential information and should not be 
circulated or used for any purpose other than for what it is intended. If 
you have received this message in error, 
please notify the originator immediately. If you are not the intended 
recipient, you are notified that you are strictly
prohibited from using, copying, altering, or disclosing the contents of 
this message. Aricent accepts no responsibility for 
loss or damage arising from the use of the information transmitted by this 
email including damage from virus."

---

From: "Vijay Tiwari" <[email-masked]>
Date: Thu, 29 Nov 2007 15:13:20 +0530

hello preethi

So you mean to say UAC should mandate the *supported: timer* in 200OK
response, when *Session-expires and supported: timer* is sent in the Request
and
it should drop the 200OK response received if it doesn't have the *supported:
timer *header.

Ans: if your User Agent sending the Supported timer header filed then its
should be in 200 ok response (Coz you are using extension of SIP).

What about the 422 response I feel *supported: timer* is not mandatory, is
that correct??

Ans: in the 422 response the there is not need of supported:timer hearder
Coz its roll is for match the Session-Expires time in all the server and
user agent. and if are u using this extension supported:timer filed is
mandatory in invite and response(200 ok).

On 11/27/07, [email-masked] <[email-masked]>
wrote:
> So you mean to say UAC should mandate the *supported: timer* in 200OK
> response,
> when *Session-expires and supported: timer* is sent in the Request and
> have the *supported: timer *header.
>
> What about the 422 response I feel *supported: timer* is not mandatory, is
> that correct??
>
>
> Thanks and Regards,
> Preethi..
>
>   *"Serhad Doken (serhad)" <[email-masked]>*
>
> 11/23/2007 03:34 AM
>    To
> Preethi Sadasivan/BLR/HSS@HSS, <[email-masked]>  cc
>   Subject
> extension to process the request. UAS would list extension X in the Require
> header of the 421.
>
> Serhad
>
> ------------------------------
> *From:* [email-masked] [mailto:
> [email-masked]] *
> Sent:* Thursday, November 22, 2007 5:18 AM*
> To:* [email-masked]*
> Subject:* [Sipping] Regarding supported: timer header in response.
>
>
>
> Hi,
>  I have query regarding *supported: timer* in the Sip Message.
>
> A UAS have received an INVITE with *supported: timer and require: timer *and
> ***********************  Aricent-Restricted   ***********************   "DISCLAIMER:
> This message is proprietary to Aricent and is intended solely for the use of
>